Stanley Luong

Embedded required libraries for Linux installer

3 posts in this topic

Dear Synergy,

 

After encountered issues with missing required library with RHEL, I suggest that for the ease of users, please embed all the required libraries into the installer for next version. My issue is the missing of "libdns_sd.so.1". Could not locate the library anywhere on the web and the support is only for Enterprise users :( ..

 

Cheers,

MErk

Share this post


Link to post
Share on other sites

Hi Stanley,

 

Can you try installing avahi-compat-libdns_sd through your package manager, and see if this resolves the issue?

 

Thanks,

Dan

Share this post


Link to post
Share on other sites

Hi Dan,

 

Installing avahi-compat-libdns_sd is not working because it requires another avahi package which does not install with yum on RHEL 7. I had downloaded the bonjour linux version for RedHat: mDNSResponder-107.6-1.el4.x86_64.rpm. Install this before install synergy package will provide the missing libdns_sd.so.1 (64)

 

Cheers,

Stanley.

Share this post


Link to post
Share on other sites

Yes I would love if everything was included. I gave up trying to install the latest version, there's just too many dependencies and I just run in circles and get nowhere trying to get them to work.

 

I'm on an older version that crashes all the time and it's really frustrating. I've actually been meaning to go through the code so I can fix the crashing and fork as a separate project but I'm hoping I don't need to do that.

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now